summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2018-01-27 02:15:35 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2018-02-19 15:56:09 +0100
commit7aaf9b2c63aa8bdd87de4c19dcf1742c686a1cc2 (patch)
treeddbb0a3c0027647c090844981dec1d3478772f05
parent6e2877548b114729b69b817b872419edde732d0f (diff)
tests: set debhelper compat 10 and R³ by default
The testpackages hardly need debhelper at all, so any version would do, and they build without root rights by definition, but declaring it explicitly can't hurt and in the case of debhelper it would be sad if our testcases break one day because the old compat level is removed. Gbp-Dch: Ignore
-rw-r--r--test/integration/framework5
1 files changed, 3 insertions, 2 deletions
diff --git a/test/integration/framework b/test/integration/framework
index ecce46d2e..ab91c8553 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -699,7 +699,8 @@ echo '$NAME says \"Hello!\"'" > "${BUILDDIR}/${NAME}"
echo "Source: $NAME
Priority: $PRIORITY
Maintainer: Joe Sixpack <joe@example.org>
-Standards-Version: 3.9.3"
+Standards-Version: 4.3.1
+Rules-Requires-Root: no"
if [ "$SECTION" != '<none>' ]; then
echo "Section: $SECTION"
fi
@@ -738,7 +739,7 @@ setupsimplenativepackage() {
local NAME="$1"
local VERSION="$3"
local BUILDDIR="${TMPWORKINGDIRECTORY}/incoming/${NAME}-${VERSION}"
- test -e "${BUILDDIR}/debian/compat" || echo '7' > "${BUILDDIR}/debian/compat"
+ test -e "${BUILDDIR}/debian/compat" || echo '10' > "${BUILDDIR}/debian/compat"
test -e "${BUILDDIR}/debian/rules" || make_tiny_rules "${BUILDDIR}/debian/rules"
}